@ALBUM: "Doomsday For Deceiver" - Flotsam And Jetsam


@SONG: "Hammerhead"

Hello, how are you? Ready tonight?
I'm here to show you.
I know your kind, I like you just fine,
Anyway I choose.
Hammerhead baby in plainsight, in lace and leather.
She wants me to feel just right,
Wants to get together.

Come on now lady, show me how you rock,
I want to get to know you.
I'm hot, so give me what you've got,
My turn to go you.
Faster than the speed of light,
Wham bam! I thank you, or...
All night pounding away, with more ways to please me.

Love for the taking, she talks with her eyes,
Wants me to give her a ride.
Spellbound she takes me way deep inside,
Hammerhead baby tonight... hold tight!

We're all alone, my love has grown,
My time to show you.
You're on your knees, you're ready to please,
Give me the Hammer... head.

Hello, how are you? Ready tonight?
I'm here to show you.
I know your kind, I like you just fine,
Anyway I choose.
Hammerhead baby in plainsight, in lace and leather.
She wants me to feel just right,
Wants to get together.

Love for the taking, she talks with her eyes,
Wants me to give her a ride.
Spellbound she takes me way deep inside,
Hammerhead baby tonight... hold tight!


@SONG: "Iron Tears"

What is this game we play with broken hearts and tears?
Been played by young and old for oh so many years,
Can you tell me honestly you've never been a pawn?
Someone steals your love away, you turn around... they're gone.

It is the game of temptation, it is the play of the heart,
Cry out in desperation, iron tears take you apart.

Love to you is lies to me - Iron Tears
Love is cruel and lies cut deep - Iron Tears

This time reverse the pain that brought upon your fears,
This time forget the part about broken hearts and tears,
Come on, take command, show no mercy, cruel and cold,
Iron eyes see right through and control the soul.

It is the game of temptation, it is the play of the heart,
Cry out in desperation, iron tears take you apart.

My love for you is lies you see - Iron Tears
Love is cruel and lies cut deep - Iron Tears

Iron tears, the tears you cry, are tears enough for all.
Iron tears, the tears I cry, are tears enough for all.

Now you know just how it feels from both sides of the heart,
Do you like the tearing, or to be torn apart?
What do you feel inside when you bleed a soul?
What do you want from love, mercy or control?

It is the game of temptation, it is the play of the heart,
Cry out in desperation, iron tears take you apart.

The game of love is made of lies, don't you see?
Iron tears will forever be. Iron tears...


@SONG: "Desecrator"

You can't be first, but you may be next,
The next one to betray and chosen to face this test.
When you find yourself scorning the trust and
Find it simple to lie,
Falling easy prey to your lust, giving treachery a try.

You'll soon wish you could die... it can be arranged...

Go right ahead, go on and play your games,
Your time will come my friend, your heart will shred your brain.
When it does, you'll know and feel the wickedness of delusion,
And the pain selfish pleasures conceal.

Desecrator - Insanity is close at hand, fear and desolation.
Violator - Your conscience will command, no, it's not a dream.
It's a living nightmare - A moment of lust destroys the bond.
Desecrator - Cursed Jezebel, it will never end... rot in hell.

You weren't the first and won't be the last,
The last one to betray, you have failed this test.
Like a helpless plaything, a powerless victim of lust,
You gambled honour for pleasure, a wager that cost precious trust.

Desecrator - Insanity is close at hand, fear and desolation.
Violator - Your conscience will command, no, it's not a dream.
It's a living nightmare - A moment of lust destroys the bond.
Desecrator - Cursed Jezebel, it will never end... rot in hell.


@SONG: "Fade To Black"

The night will fall, the axe will drop,
The key will turn, the door will lock,
The needle will push, the pain will stop,
The scene is set, prepare for shock.

Fade to black

Your mind is full of evil thoughts,
Your senses dulled as your body rots,
You will go down on my command,
Your will is gone, fall by my hand.

The night will fall, the axe will drop,
The key will turn, the door will lock,
The needle will push, the pain will stop,
The scene is set, prepare for shock.

Fade to black


@SONG: "Doomsday For The Deceiver"

Play heed this take of the prince of darkness,
Whom we're taught to fear from day number one.
The beguiling serpent, king of the underworld,
Betrayer and mocker of heaven's chosen one.
Evil and wicked dreamer, creator of sins,
Ultimate deceiver; longing to take you in.
He promises earthly glory, if you play his game;
"I won't let the firebombs hurt you, just
 Number your head and take my name."

Belial begins his scheming, treacherous plan,
Turns brother on brother, toys with the leaders of man.
He creates before them illusions of broken truce,
A wicked plot of deception, that commanders cannot refuse.
In a short time he has control,
USA, Russia, chaos from pole to pole.
Mankind's worst nightmare, it's too late to pray,
Hold tight and take your last breath,
The missiles are on their way... doomsday!

All over the earth the horror begins,
This time there's no second chance.
Firebombs... deathly flash, vapours spread so fast,
In a moment the world is ash.
There in the midst stands the deceiver
Bearing a brooding smile.
Surrounded by his marked believers,
The masses of unscarred.

Evil's reign, called by the prophets,
Under a darkened sky,
Ghastly sins everywhere, unmarked survivors
Sacrificed as demons dance.
Suddenly, the hordes are silenced,
By the rumbling planed, metalbeast soon to appear,
To challenge the enemy, to deal his doom,
To write the devil's dirge... doomsday!

The scorched ground opens, the beast of metal appears,
Satan and his army show no sign of fear.
Across desert plains, through city streets,
In the hills evil meets defeat.
Covens one by on fall by metal's hand,
As the dark forces weaken.
The monster rages through the battles,
To confront the master of sin.

As the night falls, the beasts, they meet
And the existing numbered line along the street.
The air is charged with power metal,
Flotzilla's eyes glow as he feeds.
The clash begins, a fight till death,
Such power never seen before.
Thrashing jaws, slashing claws,
Dealing the darkside's fate;
The deceiver's doom this day... doomsday!


@SONG: "Metalshock"

The end of time has come, the day after.
Everything is black, the world is over.
There are no trees, all life has crumbled.
Cities tumbled down, man's self-destruction.

The end of time has come, the day after.
Everything is black, the world is over.
There are no trees, all life has crumbled.
Cities tumbled down, man's self-destruction.

Screams from deep below, what can they be?
Sounds of pounding metal, radiation creation.
A creature of strength and power so real.
Ascends from beneath, metalshock to reveal.

Atomchild begins to grow, scans the barren zones,
Exploring his new home, he's all alone...
Through days and nights he roams,
Upper streets and catacombs,
No life at all, but a megawatt wall.
Great wall stacks to the sky, scarred V lays nigh.
Reaches out his mighty fist, the power gives a hiss.
The louder it gets, the better he feels.
His secret unveils, metalshock is revealed.

Pounding Metal across the land,
Life-giving magic in his hands,
The power chords raise the dead,
People come alive banging their heads.

Mankind now lives for metal, it's inside of us all.
The power from the shock, rise after we fall.
The creature of strength and power so real,
Returns us to earth's core until World War Four.

Pounding Metal across the land,
Life-giving magic in his hands,
The power chords raise the dead,
People come alive banging their heads.


@SONG: "She Took An Axe"

A young maiden with a demon in her soul,
A twisted mind with secrets to unfold.
An innocent face, a deceiving smile,
Under no suspicion, servant to Belial.

The axe came down... blood all around...

She lurks possessed, without a sound,
Butchers her Dam when no one is around.
The next day her sire feels her wrath,
She has no remorse in her merciless bloodbath.

She's Miss Lizzy, she feels no pain
The axe came down
She's Miss Lizzy, she strikes again,
The axe came down... blood all around

Lizzy Borden took an axe, gave her mother forty whacks,
When she saw what she had done, she gave her father forty-one.

Lizzy Borden took an axe, gave her mother forty whacks,
When she saw what she had done, she gave her father forty-one.

Lizzy Borden took an axe, gave her mother forty whacks,
When she saw what she had done, she gave her father forty-one.

Now before the jury with a solemn face,
These legendary murders... she left not a trace.
Lizzy found it so simple to take their lives,
Today she walks free... axe by her side...

She's Miss Lizzy, she feels no pain
The axe came down
She's Miss Lizzy, she strikes again,
The axe came down... blood all around

She took an axe.


@SONG: "U.S.L.W."

Tonight we take the stage again,
To shock you and capture your holes.
The victims before us, words can't describe,
The kind you seize only in your dreams.
Her striking glance tells the story,
The lust in her mind is plain to see.
She knows that I know what she's thinking.
Thinking of poisoning me...

Poison me - Snakes that bite - Poison me

The time for gashing has come now,
The reptile slithers to me.
Just one more persuasion,
Her cold blood boils from the heat.
Penetration, injection is painless,
Forked-tongue flicking about.
A constrictor in the form of a woman,
With such a grip... I barely got out!

Poison me - Snakes that bite - Poison me

I'll poison you with my venom,
Come to me, viper... and see.

The stage smoulders in silence,
The pounding and banging is done...
For now, only until next time,
When for my venom, again you will come.

Poison me - Snakes that bite - Poison me


@SONG: "Der Fuhrer"

Far away across the sea, early twentieth century,
A demon with a man's face.
Rose to power in Germany, dictator-monster, deceiving,
Emperor of the Third Reich.

Zeig heil!
All hail!
Zeig heil!

Star of David ripped to shreds,
Holocaust, twelve million dead,
Der Fuhrer and his master race.
Red, white and black flies everywhere,
So much power, world beware, Hitler to rule the earth.
Swastika, horrid miscreation, in the camps of concentration,
God's chosen in that Nazi hell.

Zeig heil!
All hail!
Zeig heil!

Allied forces go to war, bloody battles by the score,
London, Paris, many more.
Air raid sirens screaming loud,
Bombers like the reaper's shroud,
Deutschland terror marching proud.
So much pain and misery, far away across the sea,
Hope he never lives again.

Zeig heil!
All hail!
Zeig heil!


@SONG: "Flotzilla"


